import request from '@/utils/request'

// 查询逃生指引灯列表
export function listLight(query) {
  return request({
    url: '/laboratory/light/list',
    method: 'get',
    params: query
  })
}

// 查询逃生指引灯详细
export function getLight(id) {
  return request({
    url: '/laboratory/light/' + id,
    method: 'get'
  })
}

// 新增逃生指引灯
export function addLight(data) {
  return request({
    url: '/laboratory/light',
    method: 'post',
    data: data
  })
}

// 修改逃生指引灯
export function updateLight(data) {
  return request({
    url: '/laboratory/light',
    method: 'put',
    data: data
  })
}

// 删除逃生指引灯
export function delLight(id) {
  return request({
    url: '/laboratory/light/' + id,
    method: 'delete'
  })
}
